Bug 1565693 - AttributeError: 'MultipathDevice' object has no attribute 'wwid'
Summary: AttributeError: 'MultipathDevice' object has no attribute 'wwid'
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3dc9af84a0ff99d631fdae10e0b...
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-04-10 14:39 UTC by Menanteau Guy
Modified: 2019-05-28 22:07 UTC (History)
19 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 22:07:55 UTC


Attachments (Terms of Use)
File: anaconda-tb (597.98 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: anaconda.log (16.18 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: dbus.log (2.79 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: dnf.librepo.log (9.77 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: environ (636 bytes, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: hawkey.log (1.65 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: lorax-packages.log (25.71 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: lsblk_output (1.46 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: nmcli_dev_list (1.73 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: os_info (529 bytes, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: program.log (26.79 KB, text/plain)
2018-04-10 14:39 UTC, Menanteau Guy
no flags Details
File: storage.log (46.91 KB, text/plain)
2018-04-10 14:40 UTC, Menanteau Guy
no flags Details
File: syslog (290.79 KB, text/plain)
2018-04-10 14:40 UTC, Menanteau Guy
no flags Details
File: ifcfg.log (2.30 KB, text/plain)
2018-04-10 14:40 UTC, Menanteau Guy
no flags Details
File: packaging.log (12.39 KB, text/plain)
2018-04-10 14:40 UTC, Menanteau Guy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1596661 None None None 2019-03-05 14:06 UTC

Internal Trackers: 1596661

Description Menanteau Guy 2018-04-10 14:39:30 UTC
Description of problem:
I am trying to test multipath on VM for f28 iso Fedora-Server-dvd-ppc64le-28-20180407.n.0.iso in ppc64le.
I tried this qemu command taht should define a VM with one disk in mulipath mode:
/usr/bin/qemu-system-ppc64 -name vm52 -enable-kvm -M pseries -smp 4 -m 8G -nographic -nodefaults -monitor stdio -serial pty -device virtio-net-pci,netdev=net10092,mac=ff:ff:ff:00:00:52 -netdev bridge,br=br0,id=net10092 -cdrom isolef28 -device virtio-scsi-pci,id=scsi -drive if=none,id=hda,file=hd1.qcow2,serial=0002 -device scsi-hd,drive=hda -drive if=none,id=hdb,file=hd1.qcow2,serial=0002 -device scsi-hd,drive=hdb -boot d -S

Note that this command works fine with the f27 iso.

Version-Release number of selected component:
anaconda-28.22.2

The following was filed automatically by anaconda:
anaconda 28.22.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 726, in _add_disk_overview
    desc = disk.wwid.split(":")
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 667, in refresh
    self._add_disk_overview(obj, self.specialized_disks_box)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 419, in _on_spoke_clicked
    spoke.refresh()
AttributeError: 'MultipathDevice' object has no attribute 'wwid'

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.0-300.fc28.ppc64le
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Comment 1 Menanteau Guy 2018-04-10 14:39:38 UTC
Created attachment 1419912 [details]
File: anaconda-tb

Comment 2 Menanteau Guy 2018-04-10 14:39:40 UTC
Created attachment 1419913 [details]
File: anaconda.log

Comment 3 Menanteau Guy 2018-04-10 14:39:42 UTC
Created attachment 1419915 [details]
File: dbus.log

Comment 4 Menanteau Guy 2018-04-10 14:39:44 UTC
Created attachment 1419916 [details]
File: dnf.librepo.log

Comment 5 Menanteau Guy 2018-04-10 14:39:46 UTC
Created attachment 1419917 [details]
File: environ

Comment 6 Menanteau Guy 2018-04-10 14:39:48 UTC
Created attachment 1419918 [details]
File: hawkey.log

Comment 7 Menanteau Guy 2018-04-10 14:39:50 UTC
Created attachment 1419919 [details]
File: lorax-packages.log

Comment 8 Menanteau Guy 2018-04-10 14:39:52 UTC
Created attachment 1419920 [details]
File: lsblk_output

Comment 9 Menanteau Guy 2018-04-10 14:39:54 UTC
Created attachment 1419921 [details]
File: nmcli_dev_list

Comment 10 Menanteau Guy 2018-04-10 14:39:55 UTC
Created attachment 1419922 [details]
File: os_info

Comment 11 Menanteau Guy 2018-04-10 14:39:57 UTC
Created attachment 1419923 [details]
File: program.log

Comment 12 Menanteau Guy 2018-04-10 14:40:00 UTC
Created attachment 1419924 [details]
File: storage.log

Comment 13 Menanteau Guy 2018-04-10 14:40:03 UTC
Created attachment 1419926 [details]
File: syslog

Comment 14 Menanteau Guy 2018-04-10 14:40:05 UTC
Created attachment 1419927 [details]
File: ifcfg.log

Comment 15 Menanteau Guy 2018-04-10 14:40:07 UTC
Created attachment 1419928 [details]
File: packaging.log

Comment 16 Vendula Poncova 2018-04-12 11:12:58 UTC
The wwid attribute was removed in this commit: https://github.com/storaged-project/blivet/commit/2e3910b25e94f9de54d666ca1b24bbe4d8163b98

It doesn't look like anaconda could use a different attribute. Reassigning.

Comment 17 Éric Fintzel 2018-04-24 08:17:36 UTC
The problem is not specific to the ppc64le arch.

Tested with ISO Fedora-Server-dvd-x86-64-28-20180410.n.1.iso on a x86_64 VM in our lab, and the same error occurs.

Comment 18 David Lehman 2018-06-06 15:04:57 UTC
I replaced the 'wwid' attribute with a 'wwn' attribute. I didn't realize anaconda used it directly. My preference would be to update anaconda, but I can add a backward-compatible attribute to MultipathDevice in blivet if you don't want the change in anaconda.

Comment 20 Jiri Konecny 2018-07-02 07:28:59 UTC
There is a PR from David:

PR: https://github.com/rhinstaller/anaconda/pull/1503

Thanks.

Comment 21 Ben Cotton 2019-05-02 21:09:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2019-05-28 22:07:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.